#include <IRremote.h>
#include <IRremoteInt.h>

    int RECV_PIN = 7;
    IRrecv irrecv(RECV_PIN); //création de l'objet capteur infra rouge irrecv
    decode_results results;
    int ledPin = 13;
  
    void setup()
    {
      pinMode(ledPin, OUTPUT); 
      Serial.begin(9600);
      irrecv.enableIRIn(); // Initialise le recepteur
      digitalWrite(ledPin, LOW);//la DEL est au début éteinte
    }
    
    void loop() {
        if (irrecv.decode(&results)) {
           Serial.println(results.value,HEX);
           
          irrecv.resume(); // Recoit la valeur suivante
      }
    }
